Package groovy.util

# Class ObservableList.ElementEvent

java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
groovy.util.ObservableList.ElementEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ObservableList.ElementAddedEvent`, `ObservableList.ElementClearedEvent`, `ObservableList.ElementRemovedEvent`, `ObservableList.ElementUpdatedEvent`, `ObservableList.MultiElementAddedEvent`, `ObservableList.MultiElementRemovedEvent`

Enclosing class:
  `ObservableList`

public abstract static class ObservableList.ElementEvent extends PropertyChangeEvent

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ElementEvent(Object source, Object oldValue, Object newValue, int index, ObservableList.ChangeType type)`

## Method Summary

Modifier and Type
Method
Description
`ObservableList.ChangeType`
`getChangeType()`
`int`
`getIndex()`
`int`
`getType()`
`String`
`getTypeAsString()`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ElementEvent

public ElementEvent(Object source, Object oldValue, Object newValue, int index, ObservableList.ChangeType type)

## Method Details

### getIndex

public int getIndex()

### getType

public int getType()

### getChangeType

public ObservableList.ChangeType getChangeType()

### getTypeAsString

public String getTypeAsString()